Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Hypertext Class Reference

An AtkHypertext C++ wrapper class. More...

`#include <inti/atk/hypertext.h>`

Inheritance diagram for Inti::Atk::Hypertext:

List of all members.

## Public Member Functions

Accessors

- AtkHypertext * atk_hypertext () const
    Get a pointer to the AtkHypertext structure.
- AtkHypertextIface * atk_hypertext_iface () const
    Get a pointer to the AtkHypertextIface structure.
- operator AtkHypertext * () const
    Conversion operator; safely converts a Hypertext to an AtkHypertext pointer.
- Hyperlink * get_link (int link_index) const
    Gets the link in this hypertext document at index link_index.
- int get_n_links (int char_index) const
    Returns the number of links within this hypertext document.
- int get_link_index (int char_index) const
    Gets the index into the array of hyperlinks that is associated with the character specified by char_index, or -1 if there is no hyperlink associated with this character.

## Protected Member Functions

Constructors

- virtual ~Hypertext ()=0
    Destructor.

## Detailed Description

An AtkHypertext C++ wrapper class.

Hypertext is an interface which provides a standard mechanism for manipulating hyperlinks.

## Member Function Documentation

Hyperlink* Inti::Atk::Hypertext::get_link | ( | int | link_index | ) | const

  | Gets the link in this hypertext document at index link_index. Parameters:
  link_index | An integer specifying the desired link.
Returns: The link in this hypertext document at index link_index.

int Inti::Atk::Hypertext::get_link_index | ( | int | char_index | ) | const

  | Gets the index into the array of hyperlinks that is associated with the character specified by char_index, or -1 if there is no hyperlink associated with this character. Parameters:
  char_index | A character index.
Returns: An index into the array of hyperlinks in the hypertext.

The documentation for this class was generated from the following file:

- hypertext.h

Main Page - Footer